# Class BasicIconFactory

java.lang.Object
javax.swing.plaf.basic.BasicIconFactory

All Implemented Interfaces:
  `Serializable`

public class BasicIconFactory extends Object implements Serializable
Factory object that can vend Icons appropriate for the basic L & F.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicIconFactory()`
  Constructs a `BasicIconFactory`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Icon`
  `createEmptyFrameIcon()`
  Returns an empty frame icon.
  `static Icon`
  `getCheckBoxIcon()`
  Returns a check box icon.
  `static Icon`
  `getCheckBoxMenuItemIcon()`
  Returns a check box menu item icon.
  `static Icon`
  `getMenuArrowIcon()`
  Returns a menu arrow icon.
  `static Icon`
  `getMenuItemArrowIcon()`
  Returns a menu item arrow icon.
  `static Icon`
  `getMenuItemCheckIcon()`
  Returns a menu item check icon.
  `static Icon`
  `getRadioButtonIcon()`
  Returns a radio button icon.
  `static Icon`
  `getRadioButtonMenuItemIcon()`
  Returns a radio button menu item icon.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicIconFactory

    public BasicIconFactory()
    Constructs a `BasicIconFactory`.

- ## Method Details

  - ### getMenuItemCheckIcon

    public static Icon getMenuItemCheckIcon()
    Returns a menu item check icon.
    Returns:
      a menu item check icon

  - ### getMenuItemArrowIcon

    public static Icon getMenuItemArrowIcon()
    Returns a menu item arrow icon.
    Returns:
      a menu item arrow icon

  - ### getMenuArrowIcon

    public static Icon getMenuArrowIcon()
    Returns a menu arrow icon.
    Returns:
      a menu arrow icon

  - ### getCheckBoxIcon

    public static Icon getCheckBoxIcon()
    Returns a check box icon.
    Returns:
      a check box icon

  - ### getRadioButtonIcon

    public static Icon getRadioButtonIcon()
    Returns a radio button icon.
    Returns:
      a radio button icon

  - ### getCheckBoxMenuItemIcon

    public static Icon getCheckBoxMenuItemIcon()
    Returns a check box menu item icon.
    Returns:
      a check box menu item icon

  - ### getRadioButtonMenuItemIcon

    public static Icon getRadioButtonMenuItemIcon()
    Returns a radio button menu item icon.
    Returns:
      a radio button menu item icon

  - ### createEmptyFrameIcon

    public static Icon createEmptyFrameIcon()
    Returns an empty frame icon.
    Returns:
      an empty frame icon